Name:           python-gazu
Version:        0.10.25
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Gazu is a client for Zou, the API to store the data of your CG production.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gazu.cg-wire.com/
Source:         %{pypi_source gazu}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'gazu' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-gazu
Summary:        %{summary}

%description -n python3-gazu %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-gazu dev,lint,test


%prep
%autosetup -p1 -n gazu-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev,lint,test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-gazu -f %{pyproject_files}


%changelog
%autochangelog